BlackBerry App World – You may need an update

When the BlackBerry App World launched on April 1st, some people who attempted to purchase and download the AP News or Canadian Press application received incorrect versions for their device and OS.

While our apps support older OS versions, it was determined that App World does not. This caused all devices – including phones with newer operating systems – to pull down the version for OS v4.0 and as a result, some applications are not working as well as they should. 

The problem was quickly addressed by RIM but since it has taken some time to propagate through the network, we encourage you to check your device.

Signs you have an incorrect version: 

1) Cannot navigate or move between categories using your trackball

2) Show a blue frame around the app on your Storm

3) Cannot use your touch navigation on the Storm

4) Show a persistent keyboard on the Storm

If you suspect that you have an incorrect version then you should do the following:

1) Go to your device settings and click “About” to check which version of the OS your device is running (e.g., 4.2, 4.21, 4.3, 4.6, 4.7, etc)

2) Then go into the AP or CP application that you purchased and check “settings/about.”  Scroll down until you see the platform version.  It should say something like “Blackberry 421 en.”  For example, your device OS may be v4.6.0.167 but the platform version of the app might be BlackBerry 400 en.  In this case the 400 version of the app is not compatible.  You should contact support for instructions on how to get the correct version (which we will post here as soon as it is available), or respond to this posting.

We apologize for the inconvenience and appreciate your understanding.

Thank you for your continued support.

Advertisements

Comments are closed.